Reports module
Endpoints
Endpoints for managing Reportings
GET
/reportschedules Returns collection of Report schedule resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/reportschedules HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 6267,
"created_at": "2024-10-28 03:47:09",
"culture": 1,
"description": "value",
"emails": "value",
"end_at": "2024-10-28 03:56:14",
"format": 1,
"frequency": "value",
"last_run_at": "2024-10-28 03:44:49",
"name": "value",
"next_run_at": "2024-10-28 03:42:33",
"report_id": 1570,
"start_at": "2024-10-28 03:51:07",
"status": 0,
"timezone": "value",
"tz": "value"
}
],
"total": 59
}
POST
/reportschedules Creates new Report schedule resource
Parameters
JSON body attributes:
report_id integer
name string
description string
emails array
Array of emails
Array of emails
format string
culture string
start_at date
end_at date
status string
frequency array
Array of frequency config options
Array of frequency config options
tz string
timezone string
Example Request
POST /v1.1/voipstudio/reportschedules HTTP/1.1
Host: l7api.com
{
"report_id": 339,
"name": "abcd",
"description": "abcd",
"emails": [
"john@example.com",
"mike@w3c.com"
],
"format": "abcd",
"culture": "abcd",
"start_at": "2026-10-16",
"end_at": "2026-10-16",
"status": "abcd",
"frequency": {
"type": "W",
"time_of_day": [
10
],
"day_of_week": [
1,
5
],
"day_of_month": []
},
"tz": "abcd",
"timezone": "abcd"
}
Responses
201 Success
400 Validation error
401 Unauthorized
400 Validation error
401 Unauthorized
Example Response
HTTP/1.1 201 OK
Content-Type: application/json
{
"data": {
"id": 4672,
"created_at": "2021-05-02 14:57:52",
"culture": 0,
"description": "value",
"emails": "value",
"end_at": "2021-05-02 15:05:35",
"format": 1,
"frequency": "value",
"last_run_at": "2021-05-02 14:56:31",
"name": "value",
"next_run_at": "2021-05-02 14:50:05",
"report_id": 7672,
"start_at": "2021-05-02 14:52:13",
"status": 0,
"timezone": "value",
"tz": "value"
},
"links": {}
}
GET
/reportschedules/{id} Returns Report schedule resource for given Id
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
Example Request
GET /v1.1/voipstudio/reportschedules/7 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 7462,
"created_at": "2017-07-27 03:12:10",
"culture": 5,
"description": "value",
"emails": "value",
"end_at": "2017-07-27 03:12:35",
"format": 0,
"frequency": "value",
"last_run_at": "2017-07-27 03:07:29",
"name": "value",
"next_run_at": "2017-07-27 03:22:25",
"report_id": 3525,
"start_at": "2017-07-27 03:21:32",
"status": 0,
"timezone": "value",
"tz": "value"
},
"links": {}
}
PATCH
/reportschedules/{id} Updates existing Report schedule resource
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
JSON body attributes:
report_id integer
name string
description string
emails array
Array of emails
Array of emails
format string
culture string
start_at date
end_at date
status string
frequency array
Array of frequency config options
Array of frequency config options
tz string
timezone string
Example Request
PATCH /v1.1/voipstudio/reportschedules/67 HTTP/1.1
Host: l7api.com
{
"report_id": 966,
"name": "abcd",
"description": "abcd",
"emails": [
"john@example.com",
"mike@w3c.com"
],
"format": "abcd",
"culture": "abcd",
"start_at": "2026-10-16",
"end_at": "2026-10-16",
"status": "abcd",
"frequency": {
"type": "W",
"time_of_day": [
10
],
"day_of_week": [
1,
5
],
"day_of_month": []
},
"tz": "abcd",
"timezone": "abcd"
}
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 13,
"created_at": "2016-08-13 00:40:59",
"culture": 3,
"description": "value",
"emails": "value",
"end_at": "2016-08-13 00:40:40",
"format": 1,
"frequency": "value",
"last_run_at": "2016-08-13 00:30:37",
"name": "value",
"next_run_at": "2016-08-13 00:38:24",
"report_id": 8379,
"start_at": "2016-08-13 00:27:44",
"status": 1,
"timezone": "value",
"tz": "value"
},
"links": {}
}
DELETE
/reportschedules/{id} Deletes existing Report schedule resource
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
Example Request
DELETE /v1.1/voipstudio/reportschedules/43 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
GET
/reportschedules/dictionaries Returns Dictionary for Report schedule resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/reportschedules/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Success
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 4323,
"created_at": "2022-07-13 01:26:41",
"culture": 7,
"description": "value",
"emails": "value",
"end_at": "2022-07-13 01:11:16",
"format": 1,
"frequency": "value",
"last_run_at": "2022-07-13 01:15:38",
"name": "value",
"next_run_at": "2022-07-13 01:26:37",
"report_id": 7147,
"start_at": "2022-07-13 01:21:14",
"status": 0,
"timezone": "value",
"tz": "value"
}
],
"total": 59
}